0
Welcome Guest! Login
0 items Join Now

PHP 7.x Error - How do I get this fixed?

    • canonikus's Avatar
    • canonikus
    • Jr. Rocketeer
    • Posts: 33
    • Thanks: 0

    PHP 7.x Error - How do I get this fixed?

    Posted 1 month 16 hours ago
    • Hello Rocketthemes Team!

      I have big trouble to run my site on PHP7.x! Please, Your Help ist really desired!

      These are my facts:

      rt_metropolis 1.2
      RokCommon 3.1.6
      RokSproket 2.0.2
      Gantry 4 4.1.36

      When I change PHP from 5.6. to 7.x - I get no contact to my page at all. Even the backend is unreachable then.
      What can I do, to make my site run with PHP7!
      I have only a few days left before my hoster will shut off PHP 5.6

      Thanks for Your response.

      MM
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 79318
    • Thanks: 9867
    • Web Designer/Developer

    Re: PHP 7.x Error - How do I get this fixed?

    Posted 1 month 15 hours ago
    • Upgrade Metropolis to the latest version V1.12 (yes you will need a subscription that allows you to download this), upgrade rokcommon to v3.2.6 and update roksprocket to v2.1.24 - they are all compatible with PHP 7.x

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • canonikus's Avatar
    • canonikus
    • Jr. Rocketeer
    • Posts: 33
    • Thanks: 0

    Re: PHP 7.x Error - How do I get this fixed?

    Posted 1 month 14 hours ago
    • Thanks, so we will sign a new subscription.

      one additional question: we have a strange double version of gantry 4 - pleas check the screenshot.
      Can we simply delete the old one?
    • Last Edit: 1 month 14 hours ago by canonikus.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 79318
    • Thanks: 9867
    • Web Designer/Developer

    Re: PHP 7.x Error - How do I get this fixed?

    Posted 1 month 14 hours ago
    • What screenshot?

      Probably just need to refresh cache in extensions manager > manage for those items.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • canonikus's Avatar
    • canonikus
    • Jr. Rocketeer
    • Posts: 33
    • Thanks: 0

    Re: PHP 7.x Error - How do I get this fixed?

    Posted 1 month 14 hours ago
    • sorry . now...
    • Last Edit: 1 month 14 hours ago by canonikus.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 79318
    • Thanks: 9867
    • Web Designer/Developer

    Re: PHP 7.x Error - How do I get this fixed?

    Posted 1 month 14 hours ago
    • tick those items and do "refresh cache" also do extensions manager > discover too and if Gantry 4 comes up do that update.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.
    • canonikus's Avatar
    • canonikus
    • Jr. Rocketeer
    • Posts: 33
    • Thanks: 0

    Re: PHP 7.x Error - How do I get this fixed?

    Posted 1 month 13 hours ago
    • Must we override the css file for updating the template from 1.2 to newest? ...we mage quiet some changes directly in the template.
    • MrT's Avatar
    • MrT
    • Preeminent Rocketeer
    • Posts: 79318
    • Thanks: 9867
    • Web Designer/Developer

    Re: PHP 7.x Error - How do I get this fixed?

    Posted 1 month 13 hours ago
    • You should never, ever, change any of our original templates files because any update to the template will overwrite any changes made. All custom CSS should be done in a custom CSS file.

      This is how to create a custom CSS compatible with Gantry 4...

      http://docs.gantry.org/gantry4/tutorials/adding-a-custom-stylesheet

      So will need to unpick all of your changes to our original template files and put them in a custom CSS file first and reinstate the files as they were and test. Then you can subsequently update the template once you are happy that the site is still working.

      Regards, Mark.
    • Please search forums before posting. Please make sure your post includes the version of the CMS you are using and a link to the problem. Annotations on screenshots can also be helpful to explain problems/goals. Please use the "secure" tab for confidential information.

Time to create page: 0.162 seconds